#include "mgos_config.h"
#include "mgos_prometheus_metrics.h"
#include "main.h"
#include "mqtt.h"
#include "rpc.h"

static void timer_cb(void *user_data) {
  mgos_prometheus_metrics_push("lightswitch", mgos_sys_config_get_device_id());
  (void) user_data;
}

enum mgos_app_init_result mgos_app_init(void) {
  channel_init(mgos_sys_config_get_app_config());
  mqtt_init();
  rpc_init();
  dht_init();
  mgos_set_timer(5000, true, timer_cb, NULL);
  return MGOS_APP_INIT_SUCCESS;
}
